# -*- coding: utf-8 -*-

""" Coworking cowoker testing module """

from datetime import date
from odoo import fields
from odoo.exceptions import ValidationError
from odoo.tests.common import TransactionCase

class TestCoworkingRelation(TransactionCase):
    """ Coworking cowoker testing """

    def test_if_coworker_is_same(self):
        """ Test coworker1.id and coworker2.id is identical """
        coworker1 = self.env['res.partner'].create({'name': 'Marge Simpson',
                                                    'is_coworker': True})
        coworker2 = self.env['res.partner'].create({'name': 'Bart Simpson',
                                                    'is_coworker': True})

        relation = self.env['coworking.relation'].create({'coworker1': coworker1.id,
                                                          'coworker2': coworker2.id,
                                                          'relation': 'Mère'})
        self.assertEqual(relation.relation, u'Mère')

        with self.assertRaises(ValidationError) as err:
            self.env['coworking.relation'].create({'coworker1': coworker1.id,
                                                   'coworker2': coworker1.id,
                                                   'relation': 'Mère'})
        self.assertIn(u'Coworker1 is same coworker2', unicode(err.exception))
